Skip to main content
`Ctrl`+`K`

# EPSGDSetKrylovStart

Activates or deactivates starting the searching subspace with a Krylov basis.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGDSetKrylovStart(EPS eps,PetscBool krylovstart)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- krylovstart - boolean flag

## Options Database Key

- -eps_gd_krylov_start - activate starting the searching subspace with a Krylov basis

## Note

See discussion at `EPSGDSetInitialSize()`.

## See Also

EPS: Eigenvalue Problem Solver, `EPSGD`, `EPSGDGetKrylovStart()`, `EPSGDSetInitialSize()`

## Level

advanced

## Location

src/eps/impls/davidson/gd/gd.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages